[uClinux-dev] can't load library 'libpthread.so.0'

Daniel Berenguer dberenguer at usapiens.com
Fri Feb 6 09:34:49 EST 2009


I'm currently porting an application that was initially developed for
the old Digi Connect-ME (ARM7 NS7520 processor) to the new Connect-ME
9210 platform (ARM9 NS9210 processor). This new platform implements a
kernel 2.6 and some new features.

On the new platform, I've successfully built the application,
statically linked against libpthread.a but when I run the app I get
this error:

can't load library 'libpthread.so.0'

The application seems to load libpthread.so dynamically and this
library does not exist in the filesystem. Nevertheless, the binary is
not supposed to load that library dynamically.

Any idea is welcome.

Thanks in advance,

Daniel.



More information about the uClinux-dev mailing list